> ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # List Secret Versions > Lists all versions for a secret, ordered by version number (newest first). ## OpenAPI ````json GET /api/v1/secretmanager/vault/{vaultId}/secrets/{secretId}/versions { "openapi": "3.0.1", "info": { "title": "Secret Manager APIs", "version": "v1", "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc." }, "servers": [ { "url": "https://{tenantURL}", "description": "The primary server", "variables": { "tenantURL": { "default": "test.britive-app.com", "description": "The host of the server" } } } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Approvals" }, { "name": "Notification Service" }, { "name": "Policy Administration" }, { "name": "Secrets Manager" }, { "name": "Secret Rotation" } ], "paths": { "/api/v1/secretmanager/vault/{vaultId}/secrets/{secretId}/versions": { "get": { "tags": [ "Secrets Manager" ], "summary": "List Secret Versions", "description": "Lists all versions for a secret, ordered by version number (newest first).", "operationId": "listSecretVersions", "parameters": [ { "name": "vaultId", "in": "path", "description": "Vault identifier", "required": "true", "schema": { "type": "string" }, "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9" }, { "name": "secretId", "in": "path", "description": "Secret identifier", "required": "true", "schema": { "type": "string" }, "example": "secret-123" }, { "name": "size", "in": "query", "description": "Page size for pagination", "required": "false", "schema": { "type": "integer", "format": "int32", "default": "10" }, "example": "10" }, { "name": "lastKey", "in": "query", "description": "Last evaluated key for pagination", "required": "false", "schema": { "type": "string" } } ], "responses": { "200": { "description": "List of secret versions", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/SecretVersionDataDTO" } } } } }, "404": { "description": "Secret not found" } } } } }, "components": { "schemas": { "SecretVersionDataDTO": { "type": "object", "properties": { "version": { "type": "integer", "format": "int32" }, "vaultId": { "type": "string" }, "secretId": { "type": "string" }, "name": { "type": "string" }, "parent": { "type": "string" }, "path": { "type": "string" }, "secretNature": { "type": "string" }, "versionCreationDate": { "type": "string" }, "versionCreationType": { "type": "string" }, "createdBy": { "type": "string" }, "updatedBy": { "type": "string" }, "isDraft": { "type": "boolean" }, "description": { "type": "string" }, "value": { "type": "object", "additionalProperties": { "type": "string" } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````